Bug 1252537 - [abrt] bluefish: _gtk_search_engine_finished(): bluefish killed by SIGSEGV
[abrt] bluefish: _gtk_search_engine_finished(): bluefish killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c2d37163f50536a89ec0dcca62e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 12:08 EDT by Dino Tahirovic
Modified: 2016-07-19 13:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:28:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.31 KB, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details
File: core_backtrace (4.71 KB, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details
File: dso_list (12.04 KB, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details
File: environ (2.25 KB, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details
File: maps (60.41 KB, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details
File: open_fds (1.32 KB, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details
File: var_log_messages (771 bytes, text/plain)
2015-08-11 12:08 EDT, Dino Tahirovic
no flags Details

  None (edit)
Description Dino Tahirovic 2015-08-11 12:08:38 EDT
Description of problem:
Inside Open dialogue I tried to search for .bashrc file in ~ directory. When I started typing .bashrc, the editor crashed.

Version-Release number of selected component:
bluefish-2.2.7-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        bluefish
crash_function: _gtk_search_engine_finished
executable:     /usr/bin/bluefish
global_pid:     31305
kernel:         4.1.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_search_engine_finished at gtksearchengine.c:375
 #1 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1794
 #2 _g_closure_invoke_va at gclosure.c:831
 #5 _gtk_search_engine_error at gtksearchengine.c:386
 #6 query_callback at gtksearchenginetracker.c:297
 #7 g_simple_async_result_complete at gsimpleasyncresult.c:763
 #8 g_dbus_connection_call_done at gdbusconnection.c:5502
 #9 g_simple_async_result_complete at gsimpleasyncresult.c:763
 #10 complete_in_idle_cb at gsimpleasyncresult.c:775
 #15 gtk_main at gtkmain.c:1219
Comment 1 Dino Tahirovic 2015-08-11 12:08:41 EDT
Created attachment 1061581 [details]
File: backtrace
Comment 2 Dino Tahirovic 2015-08-11 12:08:42 EDT
Created attachment 1061582 [details]
File: cgroup
Comment 3 Dino Tahirovic 2015-08-11 12:08:43 EDT
Created attachment 1061583 [details]
File: core_backtrace
Comment 4 Dino Tahirovic 2015-08-11 12:08:44 EDT
Created attachment 1061584 [details]
File: dso_list
Comment 5 Dino Tahirovic 2015-08-11 12:08:45 EDT
Created attachment 1061585 [details]
File: environ
Comment 6 Dino Tahirovic 2015-08-11 12:08:47 EDT
Created attachment 1061586 [details]
File: limits
Comment 7 Dino Tahirovic 2015-08-11 12:08:48 EDT
Created attachment 1061587 [details]
File: maps
Comment 8 Dino Tahirovic 2015-08-11 12:08:49 EDT
Created attachment 1061588 [details]
File: mountinfo
Comment 9 Dino Tahirovic 2015-08-11 12:08:50 EDT
Created attachment 1061589 [details]
File: namespaces
Comment 10 Dino Tahirovic 2015-08-11 12:08:51 EDT
Created attachment 1061590 [details]
File: open_fds
Comment 11 Dino Tahirovic 2015-08-11 12:08:52 EDT
Created attachment 1061591 [details]
File: proc_pid_status
Comment 12 Dino Tahirovic 2015-08-11 12:08:53 EDT
Created attachment 1061592 [details]
File: var_log_messages
Comment 13 Jim Hayward 2015-10-15 13:50:57 EDT
This is unlikely to be a Bluefish bug. The GTKFileChooser dialog is part of GTK itself. As is the search function of the dialog. The crash appears to have originated in the search function.
Comment 14 Paul Howarth 2015-10-20 07:07:59 EDT
Upstream thinks this is a GTK bug.
Comment 15 Fedora End Of Life 2016-07-19 13:28:40 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.